import {request} from '../utils/request.js'
function sickType(data){ //疾病专长列表
  return request('/basic/disease/expertise','GET',data)
};
function sickList(data){ //搜索疾病分类-系统
  return request('/basic/disease/search','GET',data)
};
function hotSickList(data){ //搜索疾病分类-系统
  return request('/basic/disease/hot','GET',data,true)
};

function getSign(data){ //oss上传签名
  return request('/sign/oss','GET',data)
};
function imSign(data){ //获取im签名数据
  return request('/sign/im','GET',data)
};
function searchMedince(data){
  return request('/basic/product/search','GET',data)
};
function nation(data){//获取民族数据
  return request('/basic/nation','GET',data)
};

function job(){//获取职业数据
  return request('/basic/job','GET')
};
function chatMsg(id){//获取问诊订单消息内页基础数据
  return request('/im/inquiry/basic/'+id,'GET')
};
function serviceChatMsg(id){
    return request('/im/inquiry/basic/service/'+id,'GET')
}
function hotSearch(data){//热门搜索
  return request('/basic/keyword/search','GET',data)
};
function popup(data){
  return request('/popup','GET',data)
}
function agreement(id){
  return request('/basic/agreement/'+id,'GET',{},true)
}
function kepuList(data){
    return request('/patient/article/science','GET',data,true)
    
}
function AllKepuList(data){
    return request('/patient/article/science/list','GET',data,true)
    
}

module.exports={
  serviceChatMsg,
  sickType,
  sickList,
  getSign,
  imSign,
  searchMedince,
  nation,
  job,
  chatMsg,
  
  hotSickList,
  hotSearch,
  popup,
  kepuList,
  AllKepuList,
  agreement
}
